вторник, 20 июля 2010 г.

layman и archimag-lisp-overlay

Немного упростил использования моего lisp-оверлея (который форк стандартного gentoo-lisp-overlay) с помощью layman (Gentoo). Теперь, для подключения моего оверлея необходимо установить layman
$ emerge layman
добавить http://github.com/archimag/archimag-lisp-overlay/raw/master/layman-list.xml в "список списков оверлеев" (!), который находиться в файле /etc/layman/layman.cfg, например
overlays  : http://www.gentoo.org/proj/en/overlays/repositories.xml
http://github.com/archimag/archimag-lisp-overlay/raw/master/layman-list.xml
и наконец
layman -f -a archimag-lisp
Всё.

3 комментария:

  1. Проблема
    #emerge restas
    ....
    .....
    Downloading 'https://github.com/downloads/edicl/drakma/drakma-1.2.5.tar.gz'
    --2012-03-25 20:59:48-- https://github.com/downloads/edicl/drakma/drakma-1.2.5.tar.gz
    Resolving github.com... 207.97.227.239
    Connecting to github.com|207.97.227.239|:443... connected.
    HTTP request sent, awaiting response... 404 Not Found
    2012-03-25 20:59:49 ERROR 404: Not Found.
    .....

    ОтветитьУдалить
  2. Пока могу порекомендовать замаскировать drakma-1.2.5, там ещё есть drakma-1.2.3. Это не мой косяк, это идёт из основного оверлея.

    ОтветитьУдалить
  3. Скачал zip архив 1.2.5 и его установил.
    Пришлось еще для hunchentoot-1.2.3 ebuild делать.

    ОтветитьУдалить